<?php $this->Extend('/Scaffolds/admin_form'); ?>
<?php $this->Append('additionalFormTabs'); ?>

	<div class='tab__content' data-title='Order Details'>
		<?php echo $this->Element('tabs/order_summary', array('cart' => $this->request->data)); ?>
	</div>

<?php $this->end(); //Block.additionalFormTabs end ?>

<!-- Main tab -->
<?php echo $this->Form->addField('Order.id', array(
	'type' => 'hidden'
)); ?>

<div class="field">
	<div class="field__label">Order Reference</div>
	<div class="field__value"><?php echo $this->request->data['Order']['invoice_number']; ?></div>
</div>

<?php echo $this->Form->addField('Order.previousStatus', array(
	'value' => $previousStatus,
	'type' => 'hidden'
)); ?>

<?php 
	echo $this->Form->addField(
		'Order.order_status_id', 
		array(
			'type'=>'select', 
		)
); ?>


<div class="field">
	<div class="field__label">Customer</div>
	<div class="field__value">
		<?php 
			echo $this->Html->link(
				$this->request->data['Customer']['email'], 
				array(
					'controller' => 'customers', 
					'action' => 'edit', 
					$this->request->data['Customer']['id']
				)
			);
		?>
	</div>
</div>

<?php echo $this->Form->addField('Order.processed_by', array('type' => 'string')); ?>		

<div class="field">
	<div class="field__label">Payment Method</div>
	<div class="field__value"><?php echo Inflector::humanize($this->request->data['Transaction']['payment_method']); ?></div>
</div>

<?php 
	echo $this->Form->addField(
		'Order.order_time', 
		array(
			'type'=>'string', 
			'displayonly' => true
		)
); ?>

<div class="field">
	<div class="field__label">Order Total</div>
	<div class="field__value">
		<?php echo $this->Number->currency($this->request->data['Order']['total']); ?>
	</div>
</div>